> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maadify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File Upload Status

> Get the status for one or more file uploads.



## OpenAPI

````yaml /api-reference/openapi.json get /api/file_upload_status
openapi: 3.1.0
info:
  title: Maadify API
  description: Public and admin API endpoints for Maadify.
  version: 1.0.0
servers:
  - url: https://app.maadify.com
    description: Production
security: []
tags:
  - name: Parent agents
    description: Create, update, and configure parent agents.
  - name: Sub-agents
    description: Create sub-agents and assign them to parent agents.
  - name: Tools
    description: Search tools and manage tool assignments.
  - name: Prompt templates
    description: Search and manage prompt templates.
  - name: Users
    description: Search users available to the authenticated tenant.
  - name: Models
    description: Search available LLM models.
  - name: Files
    description: Check file upload status.
paths:
  /api/file_upload_status:
    get:
      tags:
        - Files
      summary: Get File Upload Status
      description: Get the status for one or more file uploads.
      operationId: get_file_upload_status_api_file_upload_status_get
      parameters:
        - name: file_upload_id
          in: query
          required: true
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: string
            description: File upload ID(s) to query
            title: File Upload Id
          description: File upload ID(s) to query
      responses:
        '200':
          description: File upload status retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/StandardResponse_list_FileUploadStatusResponse__
        '404':
          description: No file upload status found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal server error
      security:
        - BearerAuth: []
components:
  schemas:
    StandardResponse_list_FileUploadStatusResponse__:
      properties:
        success:
          type: boolean
          title: Success
          description: Whether the request was successful
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/FileUploadStatusResponse'
              type: array
            - type: 'null'
          title: Data
          description: Response data on success
        error_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Type
          description: Type of error if failed
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
          description: Error message if failed
      type: object
      required:
        - success
      title: StandardResponse[list[FileUploadStatusResponse]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FileUploadStatusResponse:
      properties:
        id:
          type: string
          title: Id
          description: File upload id
        file_name:
          type: string
          title: File Name
          description: File name
        file_type:
          type: string
          title: File Type
          description: File type
        file_path:
          type: string
          title: File Path
          description: File path
        original_file_name:
          type: string
          title: Original File Name
          description: Original file name
        results:
          additionalProperties: true
          type: object
          title: Results
          description: Results of the file upload
        status:
          type: string
          title: Status
          description: Status of the file upload
      type: object
      required:
        - id
        - file_name
        - file_type
        - file_path
        - original_file_name
        - results
        - status
      title: FileUploadStatusResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````